Name: fairymax
Version: 4.8j
Release: alt2

Summary: Fairy-Max, a sub-2KB (source) micro-Max Chess program
License: Public domain
Group: Games/Boards

Url: http://home.hccnet.nl/h.g.muller/
Source0: %url/fmax4_8w.c
Source1: %url/fmax.ini
Source2: %name.6
Patch: %name-%version-alt-fix-gcc14.patch
Packager: Michael Shigorin <mike@altlinux.org>

%define inidir %_gamesdatadir/%name

%description
Fairymax is a program that plays chess and chess variants.
It uses the xboard/winboard chess-engine protocol to communicate.
Apart from 'regular' chess (also known as the Mad-Queen variant),
it can play Capablanca chess, gothic chess, knightmate, cylinder
chess, berolina chess, superchess and courier chess.

%prep
#mkdir -p $RPM_BUILD_DIR
sed 's,fmax.ini",%inidir/&,' < %SOURCE0 > %name.c
%patch

%build
%make CFLAGS="%optflags" %name

%install
install -pDm755 %name %buildroot%_bindir/%name
install -pDm644 %SOURCE1 %buildroot%_gamesdatadir/%name/fmax.ini
install -pDm644 %SOURCE2 %buildroot%_man6dir/%name.6

%files
%_bindir/*
%_gamesdatadir/%name/
%_man6dir/*

# TODO:
# - zip seems to also contain some docs
# - consider -DSHATRANJ

%changelog
* Fri Apr 11 2025 Sergey Gvozdetskiy <serjigva@altlinux.org> 4.8j-alt2
- NMU: fixed gcc14 specific compilation errors.

* Wed Apr 17 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 4.8j-alt1.qa1
- NMU: rebuilt for debuginfo.

* Wed Oct 21 2009 Michael Shigorin <mike@altlinux.org> 4.8j-alt1
- built for ALT Linux (current xboard defaults to fairymax engine)
  + ini file location, manpage and description borrowed from Debian
